// packageH/project_verification/components/projectCard/projectCard.js
Component({
  /**
   * 组件的属性列表
   */
  properties: {
    data: {
      type: Object,
      value: {},
    },
  },

  /**
   * 组件的初始数据
   */
  data: {
    ProjectNameLang: "项目",
  },

  /**
   * 组件的方法列表
   */
  methods: {
    openMap() {
      wx.openLocation({
        latitude: parseFloat(this.data.data.store_latitude),
        longitude: parseFloat(this.data.data.store_longitude),
      });
    },
    getProjectNameLang() {
      const basicInfo = wx.getStorageSync("yz_basic_info");
      if (basicInfo.lang?.store_projects?.project) {
        this.setData({
          ProjectNameLang: basicInfo.lang.store_projects.project,
        });
      }
    },
  },
});
